/*
 * Copyright (C) 2015 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PATHS_H
#define PATHS_H

// Qt
#include <QtCore/QDir>
#include <QtCore/QFile>
#include <QtGui/QIcon>
#include <QtQml/QQmlEngine>
#include <QStandardPaths>

inline bool isRunningInstalled() {
    static bool installed = (QFile::symLinkTarget(QStringLiteral("/proc/self/exe")).startsWith(
                             QDir(("/usr/bin")).canonicalPath()));
    return installed;
}

inline QString qmlDirectory() {
    if (isRunningInstalled()) {
        return QString("/usr/share/qtmir/");
    } else {
        return QString("/builddir/build/BUILD/qtmir-bd21224b0fcd3edeaa56e5ccb90ac57a1785352d/demos/");
    }
}

inline QString qmlPluginDirectory() {
    if (isRunningInstalled()) {
        return QString("/usr/lib64/qt5/qml/");
    } else {
        return QString("/builddir/build/BUILD/qtmir-bd21224b0fcd3edeaa56e5ccb90ac57a1785352d/redhat-linux-build/src/modules/");
    }
}

inline QString qpaPluginDirectory() {
    if (isRunningInstalled()) {
        return QString("/usr/lib64/qt5/plugins/platforms/");
    } else {
        return QString("/builddir/build/BUILD/qtmir-bd21224b0fcd3edeaa56e5ccb90ac57a1785352d/redhat-linux-build/src/platforms/mirserver/");
    }
}

#endif

